Bug 203495 - graphics/jogl: fix build with OpenJDK8
Summary: graphics/jogl: fix build with OpenJDK8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Peter Jeremy
URL:
Keywords:
Depends on:
Blocks: 199591
  Show dependency treegraph
 
Reported: 2015-10-01 22:50 UTC by Steve Wills
Modified: 2015-10-12 13:34 UTC (History)
1 user (show)

See Also:
peterj: maintainer-feedback+


Attachments
patch to fix build with OpenJDK8 (1.45 KB, patch)
2015-10-01 22:50 UTC, Steve Wills
no flags Details | Diff
updated patch (1.78 KB, patch)
2015-10-02 02:29 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2015-10-01 22:50:24 UTC
Created attachment 161628 [details]
patch to fix build with OpenJDK8

Port fails to build with OpenJDK8 as default JDK. Attached patch fixes it.

Note this port is out of date and could use updating. The 2.3.1 release seems to be the latest at this time:

http://jogamp.org/wiki/index.php/Release_2.3.1

This PR and patch are just to fix the current version building with OpenJDK8.
Comment 1 Steve Wills freebsd_committer 2015-10-02 02:29:32 UTC
Created attachment 161636 [details]
updated patch

Previous patch had plist issue
Comment 2 Peter Jeremy freebsd_committer 2015-10-08 07:38:19 UTC
jogl 2.x is available as graphics/jogamp-jogl.  It is suffiently different to jogl 1.x that a separate port is warranted.
Comment 3 Steve Wills freebsd_committer 2015-10-08 12:12:56 UTC
(In reply to Peter Jeremy from comment #2)
Ah, ok, didn't see that, sorry, thanks for the info. Sounds fine to have it as a different port and keep things as is.

Any comments on the patch for OpenJDK8 build?
Comment 4 Peter Jeremy freebsd_committer 2015-10-12 08:55:48 UTC
I have approved the patch.  It's now up to a ports committer to commit the patch.
Comment 5 commit-hook freebsd_committer 2015-10-12 13:27:58 UTC
A commit references this bug:

Author: swills
Date: Mon Oct 12 13:27:17 UTC 2015
New revision: 399125
URL: https://svnweb.freebsd.org/changeset/ports/399125

Log:
  graphics/jogl: fix build with OpenJDK8

  PR:		203495
  Approved by:	peterj (maintainer)

Changes:
  head/graphics/jogl/Makefile
  head/graphics/jogl/files/extra-patch-build.xml